Bug 1274217 - SELinux is preventing df from 'getattr' accesses on the blk_file /dev/dm-3.
SELinux is preventing df from 'getattr' accesses on the blk_file /dev/dm-3.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
22
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:9bc557bdcbc000616e5c2881dc2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 05:44 EDT by Danie de Jager
Modified: 2016-07-19 16:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:55:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danie de Jager 2015-10-22 05:44:39 EDT
Description of problem:
SELinux is preventing df from 'getattr' accesses on the blk_file /dev/dm-3.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that df should be allowed getattr access on the dm-3 blk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep df /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:couchdb_t:s0
Target Context                system_u:object_r:fixed_disk_device_t:s0
Target Objects                /dev/dm-3 [ blk_file ]
Source                        df
Source Path                   df
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-128.16.fc22.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.3-200.fc22.x86_64 #1 SMP Thu
                              Oct 8 03:23:55 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-10-22 11:36:55 SAST
Last Seen                     2015-10-22 11:36:55 SAST
Local ID                      251ee845-5ecf-46a0-8d46-cd3192120646

Raw Audit Messages
type=AVC msg=audit(1445506615.123:702): avc:  denied  { getattr } for  pid=6992 comm="df" path="/dev/dm-3" dev="devtmpfs" ino=15768 scontext=system_u:system_r:couchdb_t:s0 tcontext=system_u:object_r:fixed_disk_device_t:s0 tclass=blk_file permissive=0


Hash: df,couchdb_t,fixed_disk_device_t,blk_file,getattr

Version-Release number of selected component:
selinux-policy-3.13.1-128.16.fc22.noarch

Additional info:
reporter:       libreport-2.6.2
hashmarkername: setroubleshoot
kernel:         4.2.3-200.fc22.x86_64
type:           libreport
Comment 1 Danie de Jager 2015-10-22 05:48:15 EDT
I installed and started the CouchDB service and got notified about the problem.
Comment 2 Miroslav Grepl 2015-11-11 02:32:30 EST
Did it work?
Comment 3 Danie de Jager 2015-11-11 03:22:59 EST
CouchDB did work when started.
Comment 4 Fedora End Of Life 2016-07-19 16:55:28 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.